Issue717

Title Lama-Synergy: get rid of the synergy object
Priority feature Status reviewing
Superseder Nosy List cedric, jendrik, malte, silvan
Assigned To cedric Keywords
Optional summary
TODO: When we're done with this issue, update issue697 and 
  http://www.fast-downward.org/OptionCaveats

TODO: After this issue is merged, we can remove "Heuristic::default_options()".

Created on 2017-04-25.14:27:37 by cedric, last changed by silvan.

Summary
TODO: When we're done with this issue, update issue697 and 
  http://www.fast-downward.org/OptionCaveats

TODO: After this issue is merged, we can remove "Heuristic::default_options()".
Messages
msg6389 (view) Author: silvan Date: 2017-05-24.12:30:30
I added suggestions for documentaiton at bitbucket so that Jendrik stops blaming
me to hinder progress with this issue :-)
msg6388 (view) Author: silvan Date: 2017-05-23.12:32:32
I had a look at the new classes and they seem fine. They are easier to
understand than before, but it's still not really trivial. Maybe it would be
worth documenting, e.g. at the master heuristic, how the two classes interact:
how are the classes related, and how does the computation of a heuristic value
works (in particular, which methods trigger what other methods, and where are
results stored/cached/recomputed). I imagine that this would ease understanding
for future work on the classes.
msg6387 (view) Author: jendrik Date: 2017-05-22.13:58:24
We think the code is ready now.
msg6366 (view) Author: malte Date: 2017-05-08.17:08:00
Let's finish the new code first. Looking at the pull request, it seems that
there are comments from you that aren't addressed/answered yet.

Also, I see that the new code copies old documentation from the synergy object
in many places (search for "LAMA-FF synergy"), which of course also is not the
correct documentation.

Once you think the code is ready, I can have another look (either immediately or
as part of the FIFO, depending on how complex it turns out).
msg6365 (view) Author: jendrik Date: 2017-05-08.17:02:06
I think the results look good. What do you think Malte, can we start with removing 
the old Synergy object?
msg6364 (view) Author: cedric Date: 2017-05-08.16:57:31
You can find the results here
http://ai.cs.unibas.ch/_tmp_files/geissmann/issue717-lama-synergy.html#summary
msg6353 (view) Author: jendrik Date: 2017-05-08.11:38:21
What's the status here? What do the experiments tell us?
msg6274 (view) Author: jendrik Date: 2017-04-28.16:47:15
Cedric generated a pull request at 
https://bitbucket.org/cgeissmann/downward/pull-requests/4
and we already finished our first round of comments. The next step is to run 
experiments for lama-first with the new and old option syntax.
msg6223 (view) Author: silvan Date: 2017-04-26.13:24:10
To simplify the option parser, get rid of the special treatment of heuristic
creation for lama_ff_synergies. Split of the lama_ff_synergy heuristic in two
classes.
History
Date User Action Args
2017-05-24 12:30:30silvansetmessages: + msg6389
2017-05-23 12:32:32silvansetmessages: + msg6388
2017-05-22 13:58:24jendriksetstatus: in-progress -> reviewing
messages: + msg6387
summary: TODO: When we're done with this issue, update issue697 and http://www.fast-downward.org/OptionCaveats -> TODO: When we're done with this issue, update issue697 and http://www.fast-downward.org/OptionCaveats TODO: After this issue is merged, we can remove "Heuristic::default_options()".
2017-05-08 17:08:00maltesetmessages: + msg6366
2017-05-08 17:02:06jendriksetmessages: + msg6365
2017-05-08 16:57:31cedricsetmessages: + msg6364
2017-05-08 11:38:21jendriksetmessages: + msg6353
2017-04-28 16:47:15jendriksetmessages: + msg6274
2017-04-28 10:56:56jendriksetsummary: TODO: When we're done with this issue, update issue697 and http://www.fast-downward.org/OptionCaveats
2017-04-26 13:24:10silvansetnosy: + malte, silvan
messages: + msg6223
summary: To simplify the option parser, get rid of the special treatment of heuristic creation for lama_ff_synergies. Split of the lama_ff_synergy heuristic in two classes. -> (no value)
2017-04-25 14:27:37cedriccreate